package main

import (
	"database/sql"
	"git.katuwoss.dev/JustScreaMy/secret-santa/internal/app"
	"git.katuwoss.dev/JustScreaMy/secret-santa/internal/config"
	_ "github.com/mattn/go-sqlite3"
	"log"
)

func main() {
	dbConnection, err := sql.Open("sqlite3", "./test.db")
	if err != nil {
		log.Fatal(err)
	}
	log.Println("Database sucessfully connected")

	appConfig := config.NewAppConfig(nil, nil)
	application := app.NewApp(dbConnection, &appConfig, nil)

	log.Printf("Listening on http://%s", appConfig.GenerateIP())

	log.Fatal(application.Start())
}
